<?php

namespace App\Http\Controllers;

use App\Models\FuncionarioCliente;
use Illuminate\Http\Request;
use App\Models\Cliente;
use App\Models\Categoria;
use App\Models\CategoriaCliente;
use App\Models\Pessoa;
use App\Models\SugestaoCliente;
use App\Models\User;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Gate;
use DateTime;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\File;
use Illuminate\Contracts\Encryption\DecryptException;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;
use Mail;
use App\Mail\ValidarContaCliente;

class FuncionarioClienteController extends Controller
{
   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public $idLocal;



    public function index()
    {

        Gate::denies('clientes',"listar funcionários");
        $idEmpesa=FuncionarioCliente::trazer_Empresa_id();
        $dados=$this->trazerFuncionarios($idEmpesa->id);
      return view('usuarios.clientes.usuario.funcionario.funcionarios',['dados'=>$dados]);
      
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {  
        Gate::denies('clientes',"cadastrar funcionários");
        $idEmpesa=FuncionarioCliente::trazer_Empresa_id();
        $categorias=CategoriaCliente::where('categoriacliente','!=','Super')
            ->where('cliente_id',$idEmpesa->id)->where('categoriacliente','!=','Administrador')->get();
        return view('usuarios.clientes.usuario.funcionario.create',['categorias'=>$categorias]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {    
         //dd($request->all());
         
         $codigo="hayy";                                   
        $email=$request->email;
        //$codigo=$this->gerador_senha();
        $resposta=Mail::to($email)->send(new ValidarContaCliente($email,$codigo));
        // dd("hayy");
        $store['success']=false;//valor muito alto dos modulos
        Gate::denies('clientes',"cadastrar funcionários");

            if(!(filter_var(($request->email), FILTER_VALIDATE_EMAIL)) )
                {
                    $store['success']=false;
                    $store['message']='Email  inválido';
                    return json_encode($store);
                    
                }
        /****           $format = 'yyy-mm-dd';

                $d = DateTime::createFromFormat($format, $request->datanascimento);
                if( $d && $d->format($format) == $request->datanascimento)
                    {
                      
                    }else{

                        $store['success']=false;
                        $store['message']='Data inválida';
                        return json_encode($store);
                    }
        */

                    if($binumber=FuncionarioCliente::where('numeroFuncionariocliente',$request->bi)->first())
                    {   
                        $store['success']=false;
                        $store['message']='o Numero do Documento deste Funcionario já existe';
                        return json_encode($store);
                    } 
                    $binumber=User::where('email',$request->email)->first();
                    if(! empty($binumber) )
                    {   
                        $store['success']=false;
                        $store['message']='o Email inserido está indisponivel, tenta outro';
                        return json_encode($store);
                    }  
                $idEmpesa=FuncionarioCliente::trazer_Empresa_id();
                //dd($request->all());
                $telefone=str_replace("-", "",$request->telefone);
                Pessoa::create(['nome'=>$request->nome." ".$request->apelido,
                                'telefone'=>$telefone,
                                'genero'=>$request->genero,
                                'datanascimento'=>$request->datanascimento,
                                'tipodocumento'=>$request->tipodocumento,
                                ]);
                    $lastPessoa_add=Pessoa::select('id')->max('id');
                    //dd($lastPessoa_add);
                    $codigo=$this->gerador_senha();
                    User::create([  'name'=>"@".$request->apelido,
                                    'email'=>$request->email,
                                    'pessoa_id'=>$lastPessoa_add,
                                    'password'=>bcrypt($codigo),
                                    'avatar'=>"avatar.jpg",
                                    
                                ]);

                    $lastUser_add=User::select('id')->max('id');
                    //'numerofuncionariocliente'=>Str::random(9),
                    //'numerodocumento'=>$request->bi,
                    FuncionarioCliente::create([  
                                                'numerofuncionariocliente'=>$request->bi,
                                                'categoria_id'=>$request->categoria,
                                                'cliente_id'=>$idEmpesa->id,
                                                'user_id'=>$lastUser_add,
                                                ]);
                                                
                                        
        $email=$request->email;
        //$codigo=$this->gerador_senha();
        $resposta=Mail::to($email)->send(new ValidarContaCliente($email,$codigo));
                        
           $store['success']=true;
           $store['message']='Funcionário Cadastrado com Sucesso';
           return json_encode($store);

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\FuncionarioCliente  $funcionarioCliente
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {   
        Gate::denies('clientes',"editar funcionários");
  
        $idEmpesa=FuncionarioCliente::trazer_Empresa_id();
        $categorias=CategoriaCliente::where('categoriacliente','!=','Super')
                ->where('cliente_id',$idEmpesa->id)->where('categoriacliente','!=','Administrador')->get();
        $dados=$this->trazer_OneFuncionario($idEmpesa->id,$id);
        
        return view('usuarios.clientes.usuario.funcionario.edit',['categorias'=>$categorias,'dado'=>$dados]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\FuncionarioCliente  $funcionarioCliente
     * @return \Illuminate\Http\Response
     */
    public function edit(FuncionarioCliente $funcionarioCliente)
    {
       
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\FuncionarioCliente  $funcionarioCliente
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,$idPessoa)
    {
           //dd($request->all());
           $update['success']=false;//valor muito alto dos modulos
           Gate::denies('clientes',"editar funcionários");
   
               if(!(filter_var(($request->email), FILTER_VALIDATE_EMAIL)) )
                   {
                       $update['success']=false;
                       $update['message']='Email  inválido';
                       return json_encode($update);
                       
                   }
   /****           $format = 'yyy-mm-dd';
   
                   $d = DateTime::createFromFormat($format, $request->datanascimento);
                   if( $d && $d->format($format) == $request->datanascimento)
                       {
                         
                       }else{
   
                           $update['success']=false;
                           $update['message']='Data inválida';
                           return json_encode($update);
                       }
   */
            if($id_pessoa=Pessoa::where('id',$idPessoa)->first())
            {
                   $idEmpesa=FuncionarioCliente::trazer_Empresa_id();
                   //dd($request->all());
                // 'numerodocumento'=>$request->numerodocumento,
                   $telefone=str_replace("-", "",$request->telefone);
                   Pessoa::where('id',$idPessoa)
                          ->update(['nome'=>$request->nome." ".$request->apelido,
                                    'telefone'=>$telefone,
                                    'genero'=>$request->genero,
                                    'datanascimento'=>$request->datanascimento]);
                               

                       //dd($lastPessoa_add);
                       $id_user=User::where('pessoa_id',$idPessoa)->first();
                       User::where('id',$id_user->id)
                            ->update(['name'=>"@".$request->apelido,
                                       'email'=>$request->email]);
                            
                       $idFuncionario=FuncionarioCliente::join('users','users.id','=','funcionarioclientes.user_id')
                                            ->where('users.id',$id_user->id)
                                            ->select('funcionarioclientes.id')->first();
                       FuncionarioCliente::where('id',$idFuncionario->id)
                                         ->update(['categoria_id'=>$request->categoria]);
                                          
              $update['success']=true;
              $update['message']='Funcionário Editado com Sucesso';
              return json_encode($update);
            }

        $update['success']=false;
        $update['message']='Funcionário não Existe';
          return json_encode($update);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\FuncionarioCliente  $funcionarioCliente
     * @return \Illuminate\Http\Response
     */
    public function destroy(FuncionarioCliente $funcionarioCliente)
    {
        //
    }
    
    
    
    public function resertarSingleSenhha(Request $request)
    {
        //dd($request->all());
        if(strlen($request->newsenha)<=5)
        {
            $resertarSingleSenhha['success']=false;
            $resertarSingleSenhha['message']="A senha Deve ter mais de 5 Caracteres";
        return json_Encode($resertarSingleSenhha);

        }

        $pass=$request->oldsenha;
        $actual=Auth::user();
        if(Hash::check($pass, $actual->password))
        {

            if($request->newsenha===$request->confirmsenha)
            {
                 if($usuario=User::where('id',Auth::id())->first())
                {
                    //return;
                    $usuario->password=Hash::make($request->newsenha);
                    $usuario->save();

                    $resertarSingleSenhha['success']=true;
                    $resertarSingleSenhha['message']="SENHA ALTERADA COM SUCESSO";
                return json_Encode($resertarSingleSenhha);
                }
            }else
            {
                $resertarSingleSenhha['success']=false;
                $resertarSingleSenhha['message']="SENHAS DIFERENTES, VERIFIQUE";
            return json_Encode($resertarSingleSenhha);

            }



        }

        $resertarSingleSenhha['success']=false;
        $resertarSingleSenhha['message']="SENHA INCORRETA";
        return json_Encode($resertarSingleSenhha);
    }


    //H  E  L  P        D   E   C  S KK   
       public function ajuda()
    {

        $empresa_cliente_id=\App\Models\FuncionarioCliente::trazer_Empresa_id();
        $dados=SugestaoCliente::join('users','users.id','sugestaoclientes.autor')
                               ->join('funcionarioclientes','funcionarioclientes.user_id','users.id')
                               ->join('clientes','clientes.id','funcionarioclientes.cliente_id')
                               ->where('clientes.id',$empresa_cliente_id->id)
                               ->select('sugestaoclientes.*')->get();

        return view('usuarios.clientes.usuario.ajuda.ajuda1',['dados'=>$dados]);
    }
    public function sugestaoCienteSave(Request $request)
    {

        if(empty($request->mensagem) || strlen($request->mensagem)<=10)
        {
                    $sugestaoCienteSave['message']="campo Mensagem não deve estar Vazio";
                    $sugestaoCienteSave['success']=true;
                    return json_encode($sugestaoCienteSave);

        }

        $sugclie=new SugestaoCliente();

        if("sugestão"===$request->tipo || "ajuda"===$request->tipo || "reclamação"===$request->tipo)
        {

                $sugclie->menssagem=$request->mensagem;
                $sugclie->tipo=$request->tipo;
                $sugclie->autor=Auth::id();
                $salvou=$sugclie->save();
                if($salvou)
                {
                    $sugestaoCienteSave['message']="Mensagem Enviada com sucesso";
                    $sugestaoCienteSave['success']=true;
                    return json_encode($sugestaoCienteSave);
                }
        }
        $sugestaoCienteSave['message']="Impossivel efectuar esta operção, verifique bem os dados inseridos";
        $sugestaoCienteSave['success']=false;
        return json_encode($sugestaoCienteSave) ;
    }

    



    public function remover(Request $request)
    {   

        dd($request->all());
        $pass=$request->password;
        $idpessoa=$request->idpessoa;
        $actual=Auth::user();
        if(Hash::check($pass, $actual->password))
        {   
            
            $pessoa_del=Pessoa::find($idpessoa)->delete();

            if($pessoa_del)
                $funcionario_cli=User::where('pessoa_id')->slect('id')->first();
                User::where('pessoa_id',$idpessoa)->delete();
                FuncionarioCliente::where('user_id',$funcionario_cli)->delete();
                return redirect()->route('us.admin.cliente.Gestfuncionario.funcionario.index')->with('sucessoFuncioanrio','Eliminado com sucesso');
            
        }
        return redirect()->back()->with('sucessoFuncioanrio','A sua senha não está correcta, não foi possível realizar esta operação');
    
    }

    public function editarFoto(Request $request)
    {
        
        $nomeAl=Str::random(100);
        //$nomeAl=bcrypt($nomeAl);
        if( !(empty($request->imagem)) )
        {
            $myfile=$request->imagem;
            dd($myfile->extension());
			$formato = ['jpg','jpeg','png','gif','bmp','tiff','psd','raw','eps','svg','webp','pgn'];
			$nameFile = $nomeAl.'.'.$myfile->getClientOriginalExtension();
			if(in_array($request->imagem->extension(), $formato)){
				$nome = preg_replace('/ /', '-', $nameFile);
                dd($nameFile);
				$saveImage = storage::putFile('img/clientes',$request->imagem);
              
				if($saveImage){
					$up = User::where('id','=',Auth::user()->id)->update([
						'avatar'=> $saveImage,
					]);
					if($up){
						return redirect()->route('us.admin.cliente.myperfilperfil.index')->with('statusSucesso','foto Alterada com Sucsso');
					}
				}
            }
        }
        //dd("hayy");
        return redirect()->route('us.admin.cliente.myperfilperfil.index')->with('statusFail','Formato inválido');

    } 


    public function trazerFuncionarios($idEmpesa)
    {
        $dados=FuncionarioCliente::join('clientes','clientes.id','=','funcionarioclientes.cliente_id')
                                    ->join('categoriaclientes','categoriaclientes.id','=','funcionarioclientes.categoria_id')
                                    ->join('users','users.id','=','funcionarioclientes.user_id')
                                    ->join('pessoas','pessoas.id','=','users.pessoa_id')
                                    ->where('funcionarioclientes.cliente_id',$idEmpesa)
                                    ->select('pessoas.nome', 'categoriaclientes.categoriacliente','pessoas.id')->get();

        return $dados; 
    } 

    public function trazer_OneFuncionario($idEmpesa,$idPessoa)
    {
        $dados=FuncionarioCliente::join('clientes','clientes.id','=','funcionarioclientes.cliente_id')
                                    ->join('categoriaclientes','categoriaclientes.id','=','funcionarioclientes.categoria_id')
                                    ->join('users','users.id','=','funcionarioclientes.user_id')
                                    ->join('pessoas','pessoas.id','=','users.pessoa_id')
                                    ->where('pessoas.id',$idPessoa)
                                    ->where('funcionarioclientes.cliente_id',$idEmpesa)
                                    ->select('pessoas.nome', 'categoriaclientes.categoriacliente','pessoas.id','pessoas.telefone',
                                        'users.email','pessoas.genero','funcionarioclientes.numeroFuncionariocliente','users.name','pessoas.datanascimento')
                                    ->first();


        return $dados;
    } 

    public function trazer_OneFun_SideGetsdoc_Cliente($cliente)
    {
      
        $dados=FuncionarioCliente::join('clientes','clientes.id','=','funcionarioclientes.cliente_id')
                                    ->join('categoriaclientes','categoriaclientes.id','=','funcionarioclientes.categoria_id')
                                    ->join('users','users.id','=','funcionarioclientes.user_id')
                                    ->join('pessoas','pessoas.id','=','users.pessoa_id')
                                    ->where('funcionarioclientes.id',$cliente)
                                    ->select('pessoas.nome', 'categoriaclientes.categoriacliente','pessoas.id',
                                             'pessoas.telefone','pessoas.telefone2','funcionarioclientes.cliente_id',
                                             'users.email','pessoas.genero','funcionarioclientes.numeroFuncionariocliente',
                                             'users.name','pessoas.datanascimento')
                                    ->first();


        return $dados;
    } 









    //  C    A  D  A   S  T  R   O    G   E   S   T   D   O  C
    public function cadaClientesFuncionarios()
    {
        $meusClientes=Cliente::join('users','users.id','clientes.usuario_id')
                              ->join('pessoas','pessoas.id','users.pessoa_id')
                             ->select('clientes.id','pessoas.nome')->get();
        //dd($meusClientes);
                            //join('clientes','clientes.pessoas_id','pessoas.id')

        $categoriaClientes=CategoriaCliente::get();
        return  view('usuarios.funcionarios.admin.clientesFuncionario.create',['meusClientes'=>$meusClientes,
                                                                    'categoriaClientes'=>$categoriaClientes]);
    } 

    public function exibirClientesFuncionario()
    {
        $funcionario_Clientes=FuncionarioCliente::join('users','users.id','funcionarioclientes.user_id')
                                                ->join('pessoas','pessoas.id','users.pessoa_id')
                                                ->join('clientes','clientes.id','funcionarioclientes.cliente_id')
                                                ->join('categoriaclientes','categoriaclientes.id','funcionarioclientes.categoria_id')
                                                ->select('pessoas.nome','pessoas.telefone','funcionarioclientes.id',
                                                        'categoriaclientes.categoriacliente','funcionarioclientes.cliente_id',
                                                        'funcionarioclientes.numerofuncionariocliente')->get();
        //dd($funcionario_Clientes);
        return view('usuarios.funcionarios.admin.clientesFuncionario.index',['funcionario_Clientes'=>$funcionario_Clientes]);

    }

    public function editClientesFuncionarios(Request $request)
    {
        $meu_id_decrypted="0";
                try {
                    $meu_id_decrypted = Crypt::decryptString($request->solicitacao_id);
                } catch (DecryptException $e) {
                    return back();
                }
        $dados_clientes=$this->trazer_OneFun_SideGetsdoc_Cliente($meu_id_decrypted);
        $empresas=Cliente::join('users','users.id','clientes.usuario_id')
                          ->join('pessoas','pessoas.id','users.pessoa_id')
                          ->select('pessoas.nome','clientes.id')->get();
                          $categoriaClientes=CategoriaCliente::get();
        return view('usuarios.funcionarios.admin.clientesFuncionario.editar',['dados_clientes'=>$dados_clientes,'empresas'=>$empresas,'categoriaClientes'=>$categoriaClientes]);
    }

    
       //BUscar Categroias dos Clientes
    public function getFuncoesClientes(Request $request)
    {

        //dd($request->all());
        $cl="";
        if(!empty($request->cliente_clicado))
         {
             $minhasCategroias=\App\Models\CategoriaCliente::where('categoriacliente',"usuario_cliente")->orwhere('categoriacliente',"Administrador")->get();
        }
        foreach($minhasCategroias as $categorias){
            $cl .="<option value='$categorias->id'>$categorias->categoriacliente</option>";
        }
        $minhasCategroias2 =\App\Models\CategoriaCliente::where('cliente_id',$request->cliente_clicado)->get();
        //dd($minhasCategroias2);
        foreach($minhasCategroias2 as $categorias){
            $cl .="<option value='$categorias->id'>$categorias->categoriacliente</option>";
        }
        echo $cl;
        return;

    }
    
    public function storeSaveClientesFuncionario(Request $request)
    {
        //dd($request->categoriaCliente);
         $store['success']=false;//valor muito alto dos modulos
        // Gate::denies('clientes',"cadastrar funcionários");
 
            
                if(!(filter_var(($request->email), FILTER_VALIDATE_EMAIL)) )
                {
                    $store['success']=false;
                        $store['message']='Email  inválido';
                        return json_encode($store);

                }
                if( empty($request->bi) || $request->bi==="" )
                {
                    //$numeroBI_alterado=Cliente::where('id',$request->bi)->first();
                    //$funcionario_Cliente=FuncionarioCliente::max('numero')
                    //$numeroBI_alterado=$numeroBI_alterado->numerocliente;
                    $store['success']=false;
                    $store['message']='Número do BI não pode estar Vazio';
                    return json_encode($store);
                }

                     if($binumber=FuncionarioCliente::where('numeroFuncionariocliente',$request->bi)->first())
                     {   
                         $store['success']=false;
                         $store['message']='o Numero do Documento deste Funcionario já existe';
                         return json_encode($store);
                     } 
                     $userEmail=User::where('email',$request->email)->first();
                     if(! empty($userEmail) )
                     {   
                         $store['success']=false;
                         $store['message']='o Email inserido está indisponivel, tenta outro';
                         return json_encode($store);
                     }

                     //V  E   R  I   F  I  C  A  R      O     Ú   T I     I M  O    U S  E     r

                    $meuUserName=explode(" ",$request->nome);
                    $tamanhoMeuLastNome=count($meuUserName)-1;
                    $meuUserNameComplete=$meuUserName[0]."".$meuUserName[$tamanhoMeuLastNome];
                     //dd($meuUserNameComplete);
                     $usename=User::where('name',$meuUserNameComplete)->first();
                     if(! empty($usename) )
                     {   
                         $store['success']=false;
                         $store['message']='O Primeiro e ùltimo Nome inserido já Existe, tente outro';
                         return json_encode($store);
                     }
                     $nomecompleto=$request->nome;
                     $pessoanome=Pessoa::where('nome',$nomecompleto)->first();
                     if(! empty($pessoanome) )
                     {   
                         $store['success']=false;
                         $store['message']=' Nome  inserido já Existe, tente outro';
                         return json_encode($store);
                     }
                     $pessoatelefone=Pessoa::where('telefone',$request->telefone)->first();
                     if(! empty($pessoatelefone) )
                     {   
                         $store['success']=false;
                         $store['message']=' o Terminal telefónico 1 inserido já Existe, tente outro';
                         return json_encode($store);
                     }
                     
                     
                     
                     
                       if($request->categoriaCliente=="" || $request->categoriaCliente<1 )
                     {   
                         $store['success']=false;
                         $store['message']=' Selecione a categoria para este Funcionário';
                         return json_encode($store);
                     }
                     
                     
                     if(empty($request->empresa))
                        return;
                   
                 $idEmpesa=$request->empresa;
                 //dd($request->all());
                    
                 $telefone=str_replace("-", "",$request->telefone);
                 $telefone2=str_replace("-", "",$request->telefone);
                 Pessoa::create(['nome'=>$request->nome,
                                 'telefone'=>$telefone,
                                 'telefone2'=>$telefone2,
                                 'genero'=>$request->genero,
                                 'datanascimento'=>$request->datanascimento,
                                 ]);
                     $lastPessoa_add=Pessoa::select('id')->max('id');
                     //dd($lastPessoa_add);
                     $codigo=$this->gerador_senha();
                     User::create([  'name'=>"@".$meuUserNameComplete,
                                     'email'=>$request->email,
                                     'pessoa_id'=>$lastPessoa_add,
                                     'password'=>bcrypt($codigo),
                                     'avatar'=>"avatar.jpg",
                                     
                                 ]);
 
                     $lastUser_add=User::select('id')->max('id');
                     //'numerofuncionariocliente'=>Str::random(9),
                     //'numerodocumento'=>$request->bi,
             
                     $funcionario=new FuncionarioCliente();
                     $funcionario->numerofuncionariocliente=$request->bi;
                     $funcionario->cliente_id=$idEmpesa;
                     $funcionario->user_id=$lastUser_add;
                     $funcionario->categoria_id=$request->categoriaCliente;
                     $funcionario->save();
                         
                         
        $email=$request->email;
        //$codigo=$this->gerador_senha();
        $resposta=Mail::to($email)->send(new ValidarContaCliente($email,$codigo));
        
        
            $store['success']=true;
            $store['message']='Funcionário Cadastrado com Sucesso';
            return json_encode($store);


    }


    public function storeEditClientesFuncionario(Request $request)
    {

    }
    
     public function historialAceso()
    {   //dd("hayy");
          $empresa_cliente_id=\App\Models\FuncionarioCliente::trazer_Empresa_id();
            $dados=\App\Models\Dispositivo::join('users','users.id','dispositivos.user_id')
                              ->join('funcionarioclientes','funcionarioclientes.user_id','users.id')
                              ->join('clientes','clientes.id','funcionarioclientes.cliente_id')
                              ->where('clientes.id',$empresa_cliente_id->id)
                              ->select('dispositivos.*')->get();
                          
        return view('usuarios.clientes.acesso.historial.historico',['dados'=>$dados]);
    }

    
    
    
    private function gerador_senha()
    {
        
        $charateres = 'a%$&LGbcdxysw*zABC#<DZ-YW_SZ]01>23}45{6[78(9)';
            //ve o tamnha maximo que a senha pode ter
            $max = strlen($charateres) - 1;
            $numeros=rand(1000,9000);
            $letras=["a%","$&LG","bc[]","sw*zAB","<DZ-YW","-çs--","01?",">}[]"];
              $senha = null;
            $letraVector=rand(0,4);
        //loop que gerará a senha de 8 caracteres
        try
             {   for($i=0;$i < 1; $i++)
                {
                $senha .="".$numeros."".$letras[$i+$letraVector];
                }
             }
            catch(Exception $e)
            {
                
              $senha=$numeros."a%$&LGbcd#<DZ-";  
            }
         return $senha;
    }
    
    
    public function emailTexte(Request $request)
    {
        //dd($request->all());
        $email=$request->email;
        $codigo=$request->password;
        $resposta=Mail::to($email)->send(new ValidarContaCliente($email,$codigo));
    }
    

}
